/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* Social proof section */

:root {
    --primary-color: hsl(300, 43%, 22%);
    --text-color: hsl(333, 80%, 67%);
    --secondary-color: hsl(303, 10%, 53%);
    --ligth-color: hsl(300, 24%, 96%);
    --white-color: hsl(0, 0%, 100%);
}


body {
    background: 
    url(./images/bg-pattern-top-mobile.svg) no-repeat top,
    url(./images/bg-pattern-bottom-mobile.svg) no-repeat bottom;
    
    font-family: 'League Spartan', sans-serif;
    font-weight: 400;
    
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    
    text-align: center;
    
}

section {
    margin: 2em;
}

.container {
    text-align: center;
    
    max-width: 700px;
    margin: auto;
}

.container h1 {
    font-weight: 700;
    font-size: 2em;
    padding: 2.5em 1.5em 0 1.5em ;
    color: var(--primary-color);
}

.container p {
    color: var(--secondary-color);
    font-weight: 500;
    font-size: 1.12em;
    padding: 1em;
}

.ratings article {
    background-color: var(--ligth-color);
    padding: 1em 2em;
    margin: 1em auto;

    color: var(--primary-color);
    font-weight: 700;

    max-width: 400px;
}

.rating {
    margin-bottom: 0.5em;
}

.comments {
    margin: 2em 0 0 0;
    text-align: start;
}

.comments article {
    max-width: 400px;

    background-color: var(--primary-color);
    border-radius: 8px;
    margin: 1em auto;
    padding: 2em;
    
    display: flex;
    flex-direction: column;

    color: var(--ligth-color);
}

.card-header {
    display: flex;
}

.card-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.card-title h2 {
    font-weight: 700;
    margin-bottom: 0.2em;
}

.card-title h3 {
    color: var(--text-color);
}

.card-img {
    padding-right: 1.5em;
    width: 20%;
}

.card-img img { 
    width: 100%;
    border-radius: 100%;
}

.card-body {
    padding-top: 1.5em;
}

footer {
    padding: 20px;
    font-size: 12px;
}

@media (min-width: 1200px) {

    body {
        background: 
            url(./images/bg-pattern-top-desktop.svg) no-repeat top left,
            url(./images/bg-pattern-bottom-desktop.svg) no-repeat bottom right;

        height: 100vh;
    }

    section {
        display: flex;
        flex-direction: column;

        max-width: 67em;
    }

    .wrapper {
        display: flex;
        align-items: center;

        margin-top: 6em;
    }

    .container {
        width: 50%;
        text-align: start;
    }
    
    .container h1 {
        font-size: 3em;
        padding: 0 2em 0 0;
    }
    
    .container p {
        padding: 1em 4em 0 0;
        margin: 0;
    }

    .ratings {
        width: 50%;
        height: 50%;

        display: flex;
        flex-direction: column;
        justify-content: center;

        margin-left: 2em;
    }

    .ratings article:nth-child(1) {
        align-self: flex-start;
    }
    .ratings article:nth-child(2) {
        align-self: center;
    }
    .ratings article:nth-child(3) {
        align-self: flex-end;
    }

    .ratings article {
        display: flex;
        align-items: center;

        padding: 0.8em 0 0.8em 0.8em;
        margin: 1em 0 1em 1em;

        width: 22em;
        /* max-width: 25em; */
    }
    
    .rating {
        margin: 0 1em;
    }

    .comments {
        display: flex;
        justify-content: space-between;
        height: 15em;
        max-height: 240px;
        margin: 5em 0;
    }
    
    .comments article {
        
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        
        color: var(--ligth-color);
        
        margin: 0;
        padding: 1.5em;
        
        max-width: 18em;
        max-height: 10em;
    }

    .comments article:nth-child(1) {
        align-self: flex-start;
    }
    .comments article:nth-child(2) {
        margin: 0 1em;
        align-self: center;
    }
    .comments article:nth-child(3) {
        align-self: flex-end;
    }

}